Compare commits

...

14 commits

Author SHA1 Message Date
Hippolyte Chauvin
42ba33d46e Ajout : remaniement du script xstartup 2023-07-15 19:30:03 +02:00
Hippolyte Chauvin
2fbf55c7ed Ajout : transformation des espaces en retours chariot dans la variable qui contient les verbes possibles dans headlessvnc pour un grep plus précis 2023-07-15 19:26:26 +02:00
Hippolyte Chauvin
0fbbfdc422 Ajout : option -geometry dans headlessvnc pour définir une résolution d'écran par défaut 2023-07-15 19:25:26 +02:00
Hippolyte Chauvin
056010442f Correction : opacité de Kitty 2023-07-15 14:58:19 +02:00
Hippolyte Chauvin
90fb7b3f47 Correction : simplification du script updateall git 2023-07-15 14:56:37 +02:00
Hippolyte Chauvin
e702086b2b Suppression : script updateall nvim-packer 2023-07-15 14:54:44 +02:00
Hippolyte Chauvin
1eaa310a0f Ajout : lien symbolique vers electron-flags.conf pour la version 25 d'Electron 2023-07-13 16:46:29 +02:00
Hippolyte Chauvin
e2ca269f20 zprofile { Suppression : dossier inexistant de la variable PATH. Ajout : dossier des scripts de lancement de machines virtuelles dans la variable PATH } 2023-07-12 18:04:17 +02:00
Hippolyte Chauvin
3b93e7008f Correction : allègement du script de lancement de la machine virtuelle Windows 10 2023-07-12 18:01:43 +02:00
Hippolyte Chauvin
77b1eceb10 Ajout : script de lancement d'une machine virtuelle Linux 2023-07-12 17:59:41 +02:00
Hippolyte Chauvin
0cd54f5a45 Remaniement : nouveau nom pour le dossier share/qemu/scripts : bin 2023-07-12 17:56:18 +02:00
Hippolyte Chauvin
9ee7e9a71f Suppression : lien de webcord vers waylectron car cela ne fonctionne plus 2023-07-11 13:22:39 +02:00
Hippolyte Chauvin
12ecd8563f Suppression : ligne inutile dans electron-flags.conf 2023-07-11 13:20:02 +02:00
Hippolyte Chauvin
7a28b4fd3b Ajout : fonction restart dans mcserv 2023-07-10 15:30:53 +02:00
12 changed files with 39 additions and 24 deletions

View file

@ -59,7 +59,8 @@ public_start() {
-localhost \ -localhost \
-alwaysshared \ -alwaysshared \
-securitytypes none \ -securitytypes none \
-nocursor -nocursor \
-geometry 1600x900
else else
error "The VNC server is already running!" 4 error "The VNC server is already running!" 4
fi fi
@ -98,7 +99,7 @@ else
fi fi
# Main switch # Main switch
if echo "$verbs" | grep -q "$arg"; then if echo "$verbs" | tr ' ' '\n' | grep -q "$arg"; then
"public_${arg}" "public_${arg}"
else else
error_help error_help

View file

@ -23,7 +23,7 @@ public_usage() {
name="$(basename "$0")" name="$(basename "$0")"
cat << EOF cat << EOF
${name}: utilisation ${name}: utilisation
${name} start|status|stop|watch NOM_SERVEUR ${name} start|status|stop|watch|restart NOM_SERVEUR
${name} list|active|usage ${name} list|active|usage
EOF EOF
} }
@ -77,10 +77,17 @@ public_list() {
ls --color=auto ls --color=auto
} }
public_restart() {
set -e
stop "$@"
start "$@"
set +e
}
verb="$1" verb="$1"
shift shift
case "$verb" in case "$verb" in
start|status|stop|watch|active|list|usage) start|status|stop|watch|active|list|usage|restart)
"public_${verb}" "$@" "public_${verb}" "$@"
;; ;;
"") "")

View file

@ -1 +0,0 @@
waylectron

View file

@ -1,2 +1 @@
--enable-features=WaylandWindowDecorations
--ozone-platform-hint=auto --ozone-platform-hint=auto

View file

@ -0,0 +1 @@
electron-flags.conf

View file

@ -8,5 +8,5 @@ italic_font auto
bold_italic_font auto bold_italic_font auto
# Opacity # Opacity
background_opacity 0.8 background_opacity 0.9

View file

@ -10,7 +10,7 @@ addpath() {
} }
addpath ~/.local/bin addpath ~/.local/bin
addpath ~/.local/share/minecraft/servers/bin addpath ~/.local/share/qemu/bin
# Fastfetch # Fastfetch
fastfetch fastfetch

12
share/qemu/bin/linux Executable file
View file

@ -0,0 +1,12 @@
#!/bin/sh -ex
name="$(basename "$0")"
cd "$(dirname "$(readlink -f "$0")")/.."
exec screen -S "QEMU : ${name}" -d -m qemu-system-x86_64 \
-monitor stdio -enable-kvm -vnc :1 \
-cpu host -smp "$(nproc)" \
-m 4G \
-drive "file=images/$(basename "$0").qcow2,if=virtio" \
-net nic -net "user,hostname=${name}" \
-name "$name" \
"$@"

View file

@ -1,17 +1,16 @@
#!/bin/sh -ex #!/bin/sh -ex
realpath="$(readlink -f "$0")" name="$(basename "$0")"
realname="$(basename "$realpath")" cd "$(dirname "$(readlink -f "$0")")/.."
cd "$(dirname "$realpath")/.." exec screen -S "QEMU : ${name}" -d -m qemu-system-x86_64 \
exec screen -S "QEMU : ${realname}" -d -m qemu-system-x86_64 \
-monitor stdio -enable-kvm -display gtk,zoom-to-fit=on \ -monitor stdio -enable-kvm -display gtk,zoom-to-fit=on \
-bios /usr/share/edk2/x64/OVMF_CODE.fd \ -bios /usr/share/edk2/x64/OVMF_CODE.fd \
-usb -device usb-ehci,id=ehci -device usb-host,bus=ehci.0,vendorid=1452 \ -usb -device usb-ehci,id=ehci -device usb-host,bus=ehci.0,vendorid=1452 \
-cpu host -smp "$(nproc)" \ -cpu host -smp "$(nproc)" \
-m 4G \ -m 4G \
-drive "file=images/$(basename "$0").qcow2,if=virtio" \ -drive "file=images/$(basename "$0").qcow2,if=virtio" \
-net nic -net "user,hostname=${realname}" \ -net nic -net "user,hostname=${name}" \
-audiodev pa,id=snd0 -device ich9-intel-hda -device hda-output,audiodev=snd0 \ -audiodev pa,id=snd0 -device ich9-intel-hda -device hda-output,audiodev=snd0 \
-usbdevice tablet \ -usbdevice tablet \
-name "$realname" \ -name "$name" \
"$@" "$@"

View file

@ -1,13 +1,11 @@
#!/bin/sh #!/bin/sh
if cd "${1:-${HOME}/Git}"; then if cd ~/git; then
for repo in *; do for repo in *; do
cd "$repo" || continue cd "$repo" || continue
printf '\n%s\n' "$repo" printf '\n%s\n' "$repo"
git pull git pull
cd .. cd ..
done done
elif [ -z "$1" ]; then
exec "$0" ~/git
else else
>&2 echo "Can't find your git folder!" >&2 echo "Can't find your git folder!"
fi fi

View file

@ -1,3 +0,0 @@
#!/bin/sh
nvim +PackerUpdate +qall

View file

@ -1,7 +1,9 @@
#!/bin/sh #!/bin/sh
cd cd
exec ssh-agent \ eval "$(ssh-agent)"
dbus-launch --exit-with-session \ dbus-launch --exit-with-session xfwm4 &
xfwm4 & artix-pipewire-loader &
artix-pipewire-loader st
wait
ssh-agent -k